MediaWiki:Vector.css: Difference between revisions

From JamiroWiki
Jump to navigation Jump to search
No edit summary
No edit summary
Line 1: Line 1:
/* All CSS here will be loaded for users of the Vector skin */
/* All CSS here will be loaded for users of the Vector skin */


/* set max width and fix the background, see skinVector.patch */
/**
#wikirouge-bodycontent-wrapper {
* Skin Vector Max Width, see skinVectorWidthWrapper::onAfterFinalPageOutput
position: relative;
**/
margin-left: auto !important;
#skin-vector-maxwidth-wrapper {
margin-right: auto !important;
    position: relative;
max-width: 1100px;
    margin-left: auto;
    margin-right: auto;
    max-width: 1460px;
}
}


    html,
html,
    body {
body {
        background-position: top left;
    background-position: top left;
        background-repeat: repeat-x;
    background-repeat: repeat-x;
    background-size: 100% 5em;
    background-size: 100% 5em;
        background-image: url(/skins/Vector/images/page-fade.png);
    background-image: url(/skins/Vector/images/page-fade.png);
        background-color: #f6f6f6;
    background-color: #f6f6f6;
        background-image: -webkit-gradient(linear,left top,left bottom,color-stop(50%,#ffffff),color-stop(100%,#f6f6f6));
    background-image: -webkit-gradient(linear,left top,left bottom,color-stop(50%,#ffffff),color-stop(100%,#f6f6f6));
        background-image: -webkit-linear-gradient(top,#ffffff 50%,#f6f6f6 100%);
    background-image: -webkit-linear-gradient(top,#ffffff 50%,#f6f6f6 100%);
        background-image: -moz-linear-gradient(top,#ffffff 50%,#f6f6f6 100%);
    background-image: -moz-linear-gradient(top,#ffffff 50%,#f6f6f6 100%);
        background-image: linear-gradient(#ffffff 50%,#f6f6f6 100%);
    background-image: linear-gradient(#ffffff 50%,#f6f6f6 100%);
    }
}
   
 
    /** fix the position of:
@media print {
    personal user menu
#skin-vector-maxwidth-wrapper {
    search bar
    position: relative;
    the pop-up indicator of language selector
    margin-left: 0;
    search suggestions
    margin-right: 0;
    **/
    max-width: 100%;
    #p-personal { right: 3pt; }
}
    #p-search { margin-right: 3pt; }
    .imeselector { position: fixed; }
html,
    .suggestions { right: 3pt !important; }
body {
    background:none;
}
}
 
/**
* Skin Vector Max Width: fix the position of:
*    personal user menu
*    search bar
*    add right blue border
**/
#p-personal { right: 3pt; }
#p-search { margin-right: 3pt; }
.mw-body { border-right: 1px solid #A7D7F9; }

Revision as of 14:57, 22 February 2026

/* All CSS here will be loaded for users of the Vector skin */

/**
 * Skin Vector Max Width, see skinVectorWidthWrapper::onAfterFinalPageOutput
**/
#skin-vector-maxwidth-wrapper {
    position: relative;
    margin-left: auto;
    margin-right: auto;
    max-width: 1460px;
}

html,
body {
    background-position: top left;
    background-repeat: repeat-x;
    background-size: 100% 5em;
    background-image: url(/skins/Vector/images/page-fade.png);
    background-color: #f6f6f6;
    background-image: -webkit-gradient(linear,left top,left bottom,color-stop(50%,#ffffff),color-stop(100%,#f6f6f6));
    background-image: -webkit-linear-gradient(top,#ffffff 50%,#f6f6f6 100%);
    background-image: -moz-linear-gradient(top,#ffffff 50%,#f6f6f6 100%);
    background-image: linear-gradient(#ffffff 50%,#f6f6f6 100%);
}

@media print {
	#skin-vector-maxwidth-wrapper {
	    position: relative;
	    margin-left: 0;
	    margin-right: 0;
	    max-width: 100%;
	}
	
	html,
	body {
	    background:none;
	}
}

/**
 * Skin Vector Max Width: fix the position of:
 *    personal user menu
 *    search bar
 *    add right blue border
**/
#p-personal { right: 3pt; }
#p-search { margin-right: 3pt; }
.mw-body { border-right: 1px solid #A7D7F9; }